param I; #number of peroids

param D{i in 1..I}; #demand upperbound

var h{i in 1..I}; #production of Hsinchu
var t{i in 1..I}; #production of Taoyuan
var s{i in 1..I}; #sales quantity
var x{i in 1..I}; #inventory of each period

maximize profit: sum{i in 1..I}(600*s[i] -400*h[i] - 350*t[i] - 80*x[i]);

subject to FirstDemand: 2000 + h[1] + t[1] - s[1] = x[1];
subject to Demand{i in 1..I-1}: x[i] + h[i+1] + t[i+1] - s[i+1] = x[i+1]; 
subject to SaleQuantity{i in 1..I}: s[i] <= D[i];

subject to ProductionLimit1{i in 1..I}: 2*h[i] <= 4000;
subject to ProductionLimit2{i in 1..I}: 2.5*t[i] <= 4000;

subject to nonneg1{i in 1..I}: h[i]>=0;
subject to nonneg2{i in 1..I}: t[i]>=0;
subject to nonneg3{i in 1..I}: s[i]>=0;
subject to nonneg4{i in 1..I}: x[i]>=0;