param I; # number of Fabs
param J; # number of items
param K; # number of k orders

param R{k in 1..K}; # Revenue from order k if it's completed
param H{i in 1..I, j in 1..J}; # the production rate that Fab i produces item j
param Q{j in 1..J, k in 1..K}; # the demand quantity of item j in Order k
param C{i in 1..I}; # the capacity of Fab i

var x{i in 1..I, j in 1..J, k in 1..K}; # the production hour that Fab i produces item j

maximize  profit: sum{k in 1..K}(R[k]*(sum{j in 1..J, i in 1..I}(x[i,j,k]*H[i,j]))/(sum{j in 1..J}(Q[j,k])));

subject to Capacity{i in 1..I}: sum{k in 1..K, j in 1..J}(x[i,j,k]) <= C[i]; # Capacity Constraint
subject to Demand{j in 1..J, k in 1..K}: sum{i in 1..I}(x[i,j,k]*H[i,j]) <= Q[j,k]; # Order Fullfillment

subject to nonneg{i in 1..I, j in 1..J, k in 1..K}: x[i,j,k] >=0;
