param I; # number of Fabs
param J; # number of items
param K; # number of k orders

param H{i in 1..I, j in 1..J}; # the production rate that Fab i produces item j
param Q{j in 1..J, k in 1..K}; # the demand quantity of item j in Order k
param C{i in 1..I}; # the capacity of Fab i

var x{i in 1..I, j in 1..J, k in 1..K}; # the production hour that Fab i produces item j

minimize hour: sum{i in 1..I, j in 1..J}(x[i,j,1]+x[i,j,2]+x[i,j,3]+x[i,j,4]+x[i,j,6]+x[i,j,10]);

subject to Capacity{i in 1..I}: sum{k in 1..K, j in 1..J}(x[i,j,k]) <= C[i]; # Capacity Constraint

subject to Order1{j in 1..J}: sum{i in 1..2}(x[i,j,1]*H[i,j]) >= Q[j,1]; # Order Fullfillment
subject to Order2{j in 1..J}: sum{i in 2..3}(x[i,j,2]*H[i,j]) >= Q[j,2]; # Order Fullfillment
subject to Order3{j in 1..J}: sum{i in 3..5}(x[i,j,3]*H[i,j]) + x[7,j,3]*H[7,j] >= Q[j,3]; # Order Fullfillment
subject to Order4{j in 1..J}: x[4,j,4]*H[4,j] + x[5,j,4]*H[5,j] + x[7,j,4]*H[7,j] + x[8,j,4]*H[8,j] >= Q[j,4]; # Order Fullfillment
subject to Order6{j in 1..J}: sum{i in 5..7}(x[i,j,6]*H[i,j]) >= Q[j,6]; # Order Fullfillment
subject to Order10{j in 1..J}: x[1,j,10]*H[1,j] + x[3,j,10]*H[3,j] + x[5,j,10]*H[5,j] + x[6,j,10]*H[6,j] + x[7,j,10]*H[7,j]+x[8,j,10]*H[8,j] >= Q[j,10]; # Order Fullfillment

subject to nonneg{i in 1..I, j in 1..J, k in 1..K}: x[i,j,k] >=0;
